Issue 33998 - PATCH for VCL.xcu. Swahili (sw) Fonts
PATCH for VCL.xcu. Swahili (sw) Fonts
Product: Internationalization
Classification: Code
Component: code
All All
: P3 Trivial (vote)
: ---
Assigned To: ulf.stroehler
Depends on:
  Show dependency treegraph
Reported: 2004-09-09 11:10 UTC by it46
Modified: 2013-08-07 15:00 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---

PATCH for VCL.xcu for swahili (2.94 KB, text/txt)
2004-09-09 11:13 UTC, it46
no flags Details
Swahili Tanzania locale version 1.0 (UTF-8 file) (16.62 KB, text/plain)
2004-09-18 16:23 UTC, it46
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description it46 2004-09-09 11:10:01 UTC
This is a PATCH for VCL.xcu to support swahili language for the font 
Comment 1 it46 2004-09-09 11:13:27 UTC
Created attachment 17614 [details]
PATCH for VCL.xcu for swahili
Comment 2 ooo 2004-09-09 13:29:52 UTC
Reassigning to myself.

The submitter's real name is Alberto Escudero-Pascual, we need the JCA form
faxed before we can  integrate the patch.
Comment 3 2004-09-10 14:17:03 UTC
I had a look at the patch and seems that for Swahili the same default fonts are
used as for the "en" locale? When no locale specific default font lists are
available the English ones are used anyway. To make the maintenance of default
font lists easier (e.g. for distribution providers etc) I suggest to just have
locale specific default font lists when they are different from their English
Comment 4 it46 2004-09-10 21:33:51 UTC
If this means that:

1. Swahili (Tanzania) will have an entry in the language dialog box
2. Swahili sw_TZ.xml locale will be loaded 
3. No font substitution will be available for that locale (sw)
4. The english default font will be loaded
5. Everything will work fine as english fonts will work with swahili.

Then, I will open another issue just dealing with the locale mapping in the 
language dialog boxes.

Comment 5 2004-09-13 09:15:36 UTC
The VCL.xcu configuration file only deals with default fonts, font attributes
and font fallbacks. The font fallback mechanism is independent of the selected
locale. VCL.xcu is also not related to the languages available in language list
boxes or the sw_TZ.xml file.

So if the Swahili default fonts are the same as in English the VCL.xcu patch
could be reduced to:

+ <node oor:name="sw" oor:op="replace">
+ </node>
Comment 6 ooo 2004-09-13 11:01:12 UTC
Hi Alberto,

Taking Herbert's word I'll simply add his two lines to VCL.xcu then.

For the language box / locale mapping there already exists issue 34009, no need
to create another one..

Added this issue to CWS

If you plan to submit a sw_TZ.xml locale data file, please do so until end of
september and create another issue for it.

Comment 7 it46 2004-09-13 16:40:39 UTC
Thanks Eike,
We will send the swahili locale before the end of September. Can you please 
clarify me if the Swahili kenya locale XML exists or just the mapping from the 
dialog box?

Eric Renaud also asked me to inform you that my JCA has arrived
Comment 8 ooo 2004-09-13 17:59:28 UTC

There is no sw_KE.xml locale data vailable yet, only the ISO mapping and the
"Swahili" language entry (to be changed to "Swahili (Kenya)")

Regarding the JCA, your name should appear under
in an updated version.

Comment 9 it46 2004-09-18 16:19:53 UTC
Hello Eike, 

In reference to issues 33998 and 34009, I send you the sw_TZ.xml locale. Let me
know if I should send it to 34009 too.


- As far as I know this is one of the most complete version of a swahili locale,
the data is the result of three days of discussions including one session with a
linguistic expert.
- The initial data for the locale was the existing data at the ICU and the en_US
- Notice that we have translated AM/PM for UM/MU although we are aware that
there is no mechanism to code the swahili time that has an offset of 6 hours.
with the international time. In Swahili the day starts with the "sunrise" at 6.00 AM
- Abbreviations for the months and days of the week has been also carefully chosen.
- The file has been edited with an UTF-8 editor under a Unix system
- The terms "AM" and "PM" 
Comment 10 it46 2004-09-18 16:23:14 UTC
Created attachment 17785 [details]
Swahili Tanzania locale version 1.0 (UTF-8 file)
Comment 11 ooo 2004-09-20 10:25:51 UTC
Hi Alberto,

As mentioned before, I'd like to have this separated into different issues, as
the locale data will be added in another childworkspace. I created issue 34386
and attached the locale data to that issue, put you (it46) on Cc as well. And
please, no, don't attach the locale data to issue 34009.

Comment 12 ooo 2004-09-30 16:00:59 UTC
On branch cws_src680_dzongkha:
Comment 13 ooo 2004-10-21 18:57:14 UTC
Reopen to reassign.
Comment 14 ooo 2004-10-21 19:01:13 UTC
Reassign to QA.
Comment 15 ooo 2004-10-21 19:04:23 UTC
Restore status.
Comment 16 oc 2004-10-25 10:17:14 UTC
reopened for reassigning
Comment 17 oc 2004-10-25 10:17:42 UTC
reassigned to US
Comment 18 oc 2004-10-25 10:18:46 UTC
reset resolution to fixed
Comment 19 ulf.stroehler 2004-10-27 13:47:50 UTC
Assuming locale and font names are correct: verified in CWS dzongkha.
Comment 20 ulf.stroehler 2004-11-26 15:31:05 UTC
Verified in mws src680_m63.